/*
 * @Author: zc
 * @description 业务管理-工单甄别
 */
import request from '@/utils/request';
/**
 * @description 观察件回复列表
 * @param {object} params
 */
export const getObservationsReplyList = (params: object) => {
	return request({
		url: '/api/v1/ObservationPiece/get-observation-piece-reply-list',
		method: 'get',
		params,
	});
};
/**
 * @description 观察件回复列表导出
 * @param {object} data
 */
export const exportObservationsReplyList = (data: object) => {
	return request(
		{
			url: '/api/v1/ObservationPiece/get-observation-piece-reply-list-export',
			method: 'post',
			responseType: 'blob',
			data,
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 观察件回复
 * @param {object} data
 */
export const getObservationsReply = (data: object) => {
	return request({
		url: '/api/v1/ObservationPiece/add-observation-piece-reply',
		method: 'post',
		data,
	});
}
/**
 * @description 获取观察件回复详情
 * @param {string} id
 */
export const getObservationsReplyDetail = (id: string) => {
	return request({
		url: `/api/v1/ObservationPiece/get-observation-piece-detail/${id}`,
		method: 'get',
	});
}
/**
 * @description 获取观察件列表
 * @param {object} params
 */
export const getObservationsList = (params: object) => {
	return request({
		url: '/api/v1/ObservationPiece/get-observation-piece-list',
		method: 'get',
		params,
	});
}
/**
 * @description 观察件列表导出
 * @param {object} data
 */
export const exportObservationsList = (data: object) => {
	return request(
		{
			url: '/api/v1/ObservationPiece/get-observation-piece-list-export',
			method: 'post',
			responseType: 'blob',
			data,
		},
		{
			reduce_data_format: false,
		}
	);
}